SELECT 'shell' AS component
, 'dark' AS theme
, 'Clip' AS title
, 'https://shandan.one/static/clip/clip-favicon_square.svg' AS image
, 'https://cdn.jsdelivr.net/npm/purecss@2.1.0/build/pure-min.css' AS css
;
SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/Style.sql') AS properties;

SET color = '#4f8f4f';
SET tool = 'clip';
SET hash = CASE $hash = ''
  WHEN TRUE THEN NULL
  ELSE $hash
END;
SET inner = CASE $hash IS NULL
  WHEN TRUE THEN 'sqlpage/Link.sql'
  ELSE 'sqlpage/link.sql'
END;
SELECT 'dynamic' AS component, sqlpage.run_sql($inner) AS properties;
SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/QR.sql') AS properties;

SELECT 'form' AS component
, '/clip' AS action
, '' AS validate
, 'post' AS method
;
SELECT 'Paste' AS value
, '' AS label
, 1 AS width
, 'button' AS type
, 'action' AS name
;
SELECT 'Edit as New' AS value
, '' AS label
, 2 AS width
, 'button' AS type
, 'action' AS name
;
SELECT 'New' AS value
, '' AS label
, 1 AS width
, 'button' AS type
, 'action' AS name
, '/clip.sql' AS action
;
SELECT 'Open' AS value
, '' AS label
, 1 AS width
, 'button' AS type
, 'action' AS name
, '/clip/open.sql' AS action
;
SELECT 'Download' AS value
, '' AS label
, 2 AS width
, 'button' AS type
, 'action' AS name
;
SELECT 'Paste something here...' AS placeholder
, 'textarea' AS type
, 'paste' AS name
, '' AS label
;